package de.votian.services.entity;

import jakarta.persistence.*;

@Entity
@Table(name = "headquarters")
public class Headquarters {

    @Id
    @Column(name = "hq_id")
    private Long id;

    @Column(name = "hq_mnemonic")
    private String mnemonic;

    @Column(name = "hq_name")
    private String name;

    @Column(name = "hq_workmode")
    private Integer workmode;

    @Column(name = "hq_invmode")
    private Integer invoiceMode;

    @Column(name = "cmp_id")
    private Long companyId;

    public Headquarters() {}

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public String getMnemonic() { return mnemonic; }
    public void setMnemonic(String mnemonic) { this.mnemonic = mnemonic; }
    public String getName() { return name; }
    public void setName(String name) { this.name = name; }
    public Integer getWorkmode() { return workmode; }
    public void setWorkmode(Integer workmode) { this.workmode = workmode; }
    public Integer getInvoiceMode() { return invoiceMode; }
    public void setInvoiceMode(Integer invoiceMode) { this.invoiceMode = invoiceMode; }
    public Long getCompanyId() { return companyId; }
    public void setCompanyId(Long companyId) { this.companyId = companyId; }
}
